/*
  * Copyright (C) 2006-2010 Nokia Corporation.
  *
  * This file is part of devicelock
  *
  * It has been modified from cellular-adaptation-ui package.
  *
  * This program is free software; you can redistribute it and/or
  * modify it under the terms of the GNU General Public License
  * version 2 as published by the Free Software Foundation.
  *
  * This program is distributed in the hope that it will be useful, but
  * WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  * General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
  * 02110-1301 USA
  *
  */

#ifndef TRANSLATIONS_H
#define TRANSLATIONS_H

#include <QtGlobal>

namespace Loc
{

// common

//% "Ok"
const char * const Ok = QT_TRID_NOOP("qtn_comm_ok");
//% "Ok"
const char * const ShortOk = QT_TRID_NOOP("qtn_comm_short_ok");
//% "Save"
const char * const Save = QT_TRID_NOOP("qtn_comm_save");
//% "Next"
const char * const Next = QT_TRID_NOOP("qtn_comm_next");
//% "Cancel"
const char * const Cancel = QT_TRID_NOOP("qtn_comm_cancel");
//% "Yes"
const char * const Yes = QT_TRID_NOOP("qtn_comm_yes");
//% "No"
const char * const No = QT_TRID_NOOP("qtn_comm_no");

// devicelock

//% "Enter"
const char * const Enter = QT_TRID_NOOP("qtn_devicelock_enter");
//% "OK"
const char * const LockCodeEnter = QT_TRID_NOOP("qtn_devicelock_key_login");
//% "Emergency Call"
const char * const EmergencyCall = QT_TRID_NOOP("qtn_devicelock_emergencycall");
//% "Recover Passcode"
const char * const RecoverLockCode = QT_TRID_NOOP("qtn_devicelock_recoverpasscode");
//% "Incorrect Passcode"
const char * const IncorrectLockCode = QT_TRID_NOOP("qtn_devicelock_incorrectpasscode");
//% "New Passcodes Don't Match"
const char * const NewLockCodesDoNotMatch = QT_TRID_NOOP("qtn_devicelock_newpasscodesdonotmatch");
//% "Passcodes Not Changed"
const char * const LockCodeNotChanged = QT_TRID_NOOP("qtn_devicelock_passcodesnotchanged");
//% "Enter Passcode"
const char * const EnterLockCode = QT_TRID_NOOP("qtn_devicelock_enterpasscode");
//% "Enter Current Passcode"
const char * const EnterCurrentLockCode = QT_TRID_NOOP("qtn_devicelock_entercurrentpasscode");
//% "Enter New Passcode"
const char * const EnterNewLockCode = QT_TRID_NOOP("qtn_devicelock_enternewpasscode");
//% "Verify New Passcode"
const char * const VerifyNewLockCode = QT_TRID_NOOP("qtn_devicelock_verifynewpasscode");
//% "Passcode Recovery Dialog"
const char * const RecoverYourLockCode = QT_TRID_NOOP("qtn_devicelock_passcoderecoverydialog");
//% "Passcode Advice"
const char * const RecoveryMessageInstruction = QT_TRID_NOOP("qtn_devicelock_passcodeadvice");
//% "Send Passcode By SMS"
const char * const SendMessage = QT_TRID_NOOP("qtn_devicelock_sendpasscodebysms");
//% "Call Trusted Contact"
const char * const Call = QT_TRID_NOOP("qtn_devicelock_calltrustedcontact");
//% "Send security code?"
const char * const SendPasscodeConfirmationQueryTitle = QT_TRID_NOOP("qtn_devicelock_sendtotrusted_title");
//% "The code will be sent by SMS to your trusted person."
const char * const SendPasscodeConfirmationQuery = QT_TRID_NOOP("qtn_devicelock_sendtotrusted");
//% "Message Sent"
const char * const MessageSent = QT_TRID_NOOP("qtn_devicelock_messagesent");
//% "SMS Message %1"
const char * const TextMessageMessage = QT_TRID_NOOP("qtn_devicelock_smsmessage");
//% "Devicelock"
const char * const DeviceLockLabel = QT_TRID_NOOP("qtn_devicelock_devicelock");
//% "Passcode Options"
const char * const DeviceLockOptions = QT_TRID_NOOP("qtn_devicelock_passcodeoptions");
//% "Automatic Lock Period"
const char * const AutomaticDeviceLock = QT_TRID_NOOP("qtn_devicelock_autolockperiod");
//% "Passcode"
const char * const LockCode = QT_TRID_NOOP("qtn_devicelock_passcode");
//% "Not Defind"
const char * const NotDefined = QT_TRID_NOOP("qtn_devicelock_notdefined");
//% "Passcode Recovery"
const char * const LockCodeRecovery = QT_TRID_NOOP("qtn_devicelock_passcoderecovery");
//% "Trusted Contact"
const char * const TrustedPerson = QT_TRID_NOOP("qtn_devicelock_trustedcontact");
//% "None"
const char * const None = QT_TRID_NOOP("qtn_devicelock_trustedcontactnone");
//% "No Trusted Contact"
const char * const NoTrustedPerson = QT_TRID_NOOP("qtn_devicelock_notrustedcontact");
//% "Select New Trusted Contact"
const char * const SelectNewTrustedPerson = QT_TRID_NOOP("qtn_devicelock_selectnewtrusted");
//% "Off"
const char * const Off = QT_TRID_NOOP("qtn_devicelock_autolockoff");
//% "Without delay"
const char * const WithoutDelay = QT_TRID_NOOP("qtn_devicelock_noautolock");
//% "Timeout period %L1"
const char * const AfterXMinutes = QT_TRID_NOOP("qtn_devicelock_afterxminutes");
//% "Define security code now?"
const char * const LockCodeNotDefinedTitle = QT_TRID_NOOP("qtn_devicelock_lockcodenotdefined_title");
//% "The security code has not been defined."
const char * const LockCodeNotDefinedMessage = QT_TRID_NOOP("qtn_devicelock_lockcodenotdefined");
//% "Number of tries remaining %Ln"
const char * const NumberOfTriesRemaining = QT_TRID_NOOP("qtn_devicelock_triesleft");
//% "Final Attempt at password entry before the device is wiped"
const char * const FinalAttemptWarning = QT_TRID_NOOP("qtn_devicelock_attemptwarning");
//% "Device Will be wiped"
const char * const DeviceWillBeWiped = QT_TRID_NOOP("qtn_devicelock_devicetobewiped");
//% "Minimum password length is %L1"
const char * const MinimumPasswordLengthString = QT_TRID_NOOP("qtn_devicelock_enterxchars");
//% "Must be an AlphaNumeric password"
const char * const MustBeAlphaNumeric = QT_TRID_NOOP("qtn_devicelock_musthave_alpha_num");
//% "Password must contain %Ln special Characters"
const char * const MustContainSpecialChars = QT_TRID_NOOP("qtn_devicelock_musthave_special");
//% "Password was recently used"
const char * const PasswordInPasswordHistory = QT_TRID_NOOP("qtn_devicelock_no_old_codes_allowed");
//% "Must set a new lock code"
const char * const MustSetNewPassword = QT_TRID_NOOP("qtn_devicelock_mustset_new_code");
//% "Timeout value is too high, must be lower than %1"
const char * const GreaterThanMaxInactivityTimeout = QT_TRID_NOOP("qtn_devicelock_too_many_seconds");
//% "Change Lock Code"
const char * const ChangeLockCodeLabel = QT_TRID_NOOP("qtn_devicelock_alpha_change_code");
//% "Current Lock Code"
const char * const CurrentLockCodeLabel = QT_TRID_NOOP("qtn_devicelock_alpha_current_code");
//% "New Lock Code"
const char * const NewLockCodeLabel = QT_TRID_NOOP("qtn_devicelock_alpha_new_code");
//% "Verify New Lock Code"
const char * const VerifyNewLockCodeLabel = QT_TRID_NOOP("qtn_devicelock_alpha_verify_code");
//% "Clean device after Failed attempts"
const char * const CleanDeviceAfterFailedAttempts = QT_TRID_NOOP("qtn_devicelock_code_max_attempts");
//% "Quick Erase"
const char * const QuickErase = QT_TRID_NOOP("qtn_devicelock_quick_erase");
//% "Secure Erase"
const char * const SecureErase = QT_TRID_NOOP("qtn_devicelock_secure_erase");
//% "Remote Lock Options"
const char * const RemoteLockOptions = QT_TRID_NOOP("qtn_devicelock_remote_lock_options");
//% "Enable"
const char * const EnableRemote = QT_TRID_NOOP("qtn_devicelock_remote_lock");
//% "Device cleaning method"
const char * const CleanMethod = QT_TRID_NOOP("qtn_devicelock_wipe_method");
//% "At least %Ln non numeric character required."
const char * const SimplePasswordNotAllowed = QT_TRID_NOOP("qtn_devicelock_simple_not_allowed");
//% "No Limit"
const char * const NoLimit = QT_TRID_NOOP("qtn_devicelock_nolimit");
//% "Set new security code."
const char * const LockCodeExpiredTitle = QT_TRID_NOOP("qtn_devicelock_lockcode_expired_title");
//% "Your security code has expired."
const char * const LockCodeExpired = QT_TRID_NOOP("qtn_devicelock_lockcode_expired");
//% "Last try!"
const char * const LastTry = QT_TRID_NOOP("qtn_devicelock_last_try");

}

#endif // TRANSLATIONS_H
